(vmon)
(defun pgrid ()
(setq grid (getstring "\nDo you want a grid?(Y or N) "))
(if (= grid "Y")(progn 
	;setup limits of grid
	(setq gorah (getint "\nWhat is the horiz coordinate of the lower left corner of grid? "))
	(setq gorh (/ gorah 10.))
	(setq ggorh (- gorh 2.5))
	(setq gorv (getint "\nWhat is the vertical coordinate of the lower left corner of grid? "))
	(setq glow gorv)
	(setq gglow (- glow 5))
	(setq gendah (getint "\nWhat is the horiz coordinate of the upper right corner of grid? "))
	(setq gendh (/ gendah 10.))
	(setq ggendh (+ gendh 2.5))
	(setq gendv (getint "\nWhat is the vertical coordinate of the upper right corner of grid? "))
	(setq ghigh gendv)
	(setq gghigh (+ ghigh 2.5))
	(command "limits" (list ggorh gglow) (list ggendh gghigh)
		 "zoom" "a")
	;draw horiz lines of grid with text
	(command "layer" "s" "0" \r)
	(while (<= gorv gendv)
		(setq tvst (+ gorv 0.2))
		(setq thst1 (- gorh 0.25))
		(setq thst2 (+ gendh 0.25))
		(command "layer" "s" "0" \r
			 "line" (list gorh gorv) (list gendh gorv) ""
			 "layer" "s" "co" \r
		         "text" "r" (list thst1 tvst) "0" gorv
		         "text" (list thst2 tvst) "0" gorv)
		(setq gorv (+ gorv 5))
	)
	;draw vert lines with text
	(while (<= gorah gendah)
		(setq thst (+ gorh 0.25))
		(setq tvst (- glow 0.25))
		(setq hun1 (/ gorah 100))
		(setq hun1 (rtos hun1 2 2))
		(setq hun2 (atoi hun1))
		(setq ten (- gorah (* hun2 100)))
		(setq hun2 (abs hun2))
		(setq stat (strcat (itoa hun2) "+00"))
		(command "layer" "s" "0" \r
			 "line" (list gorh glow) (list gorh ghigh) "" 
			 "layer" "s" "co" \r
		         "text" "r" (list thst tvst) "90" stat)
		(setq gorh (+ gorh 10.))		        
		(setq gorah (+ gorah 100))
	)
	)
)
(pstart)
)




(defun pstart ()
        (setq done "N")
	;get starting statiuon of pipe
	(setq past (getint "\nWhat is the starting station of this profile? "))
	(setq pst (/ past 10.))
	(setq invst (- pst 0.08))
	; draw first station line
        (setq stax (+ pst 0.25))
	(setq phun1 (/ past 100))
	(setq phun1 (rtos phun1 2 2))
	(setq phun2 (atoi phun1))
	(setq pten (- past (* phun2 100)))
	(setq phun2 (abs phun2))
	(setq pten (abs pten))
	(setq sta (strcat (itoa phun2) "+" (itoa pten)))
	(command "layer" "s" "coooc" \r
		 "line" (list pst glow) (list pst gendv) ""
		 "layer" "s" "co" \r
		 "text" "r" (list stax tvst) "90" sta)
	(setq inv1 (getdist "\nWhat is the starting pipe invert? "))
	(setq tinv1 (strcat "       " (rtos inv1 2 2)))
	(command "text" (list invst glow)  "90" tinv1)  
	(setq dia (getdist "\nWhat is the starting pipe diameter? "))
	; draw manhole
	(setq ic (/ (+ dia 1) 12)) 
	(setq ic1 (- inv1 ic))
	(setq d1 (+ inv1 dia))
	(setq dc1 (+ d1 ic))
	(setq mdia (getdist "\nWhat is the starting manhole diameter? "))
	(setq mdia (/ mdia 20))
	(setq m1x1 (- pst mdia))
	(setq m1x2 (+ pst mdia))
	(setq m1y1 (- ic1 1))
	(setq m1y2 (+ dc1 1))
	(command "layer" "s" "c2" \r
		 "line" (list m1x1 m1y2) (list m1x1 m1y1) (list m1x2 m1y1) (list m1x2 m1y2) "")
        (while (= done "N")
		; get starting pipe information
		; get next pipe invert & station
		(setq dia (getdist "\nWhat is the next pipe diameter? "))
		(setq inv2 (getdist "\nWhat is the next pipe invert? "))
		(setq panext (getint "\nWhat is the next station of the pipe? "))
		(setq pnext (/ panext 10.))
		(setq invnex (- pnext 0.08))
		(setq tinv2 (strcat "       " (rtos inv2 2 2)))
		(command "layer" "s" "co" \r
                         "text" (list invnex glow)  "90" tinv2)
		; draw pipe
		(setq ic (/ (+ dia 1) 12)) 
		(setq ic1 (- inv1 ic))
		(setq ic2 (- inv2 ic))
       		(setq d1 (+ inv1 dia))
        	(setq d2 (+ inv2 dia))
      		(setq dc1 (+ d1 ic))
      		(setq dc2 (+ d2 ic))
		(setq mdia (getdist "\nWhat is the next manhole diameter? ")) 
		(setq mdia (/ mdia 20))
		(setq m2x1 (- pnext mdia))
		(setq m2x2 (+ pnext mdia))
		(setq m2y1 (- ic2 1))
		(setq m2y2 (+ dc2 1))
		(command "layer" "s" "c2" \r
			 "line" (list m2x1 m2y2) (list m2x1 m2y1) (list m2x2 m2y1) (list m2x2 m2y2) ""
			 "line" (list m1x2 inv1) (list m2x1 inv2) ""
			 "line" (list m1x2 ic1) (list m2x1 ic2) ""
                	 "line" (list m1x2 d1) (list m2x1 d2) ""
                	 "line" (list m1x2 dc1) (list m2x1 dc2) "") 
		; draw station line
        	(setq stax (+ pnext 0.25))
		(setq phun1 (/ panext 100))
		(setq phun1 (rtos phun1 2 2))
		(setq phun2 (atoi phun1))
		(setq pten (- panext (* phun2 100)))
		(setq phun2 (abs phun2))
		(setq pten (abs pten))
		(setq sta (strcat (itoa phun2) "+" (itoa pten)))
		(command "layer" "s" "coooc" \r
			 "line" (list pnext glow) (list pnext gendv) ""
			 "layer" "s" "co" \r
			 "text" "r" (list stax tvst) "90" sta)
		;draw line for pipe length,type and slope
		(setq dist (- panext past))
		(setq slope (- inv1 inv2))
		(setq slope (abs (* (/ slope dist) 100)))
		(setq xalabel (- panext (/ dist 2)))
		(setq xlabel (/ xalabel 10.))
                (setq y1label (+ glow 2))
		(setq y2label (+ y1label 0.2))
		(setq type1 (getstring "\nEnter pipe size. "))
		(setq type2 (getstring "\nEnter pipe material. "))
		(setq type3 (getstring "\nEnter pipe ASTM #. "))
		(setq type4 (getstring "\nEnter pipe CLASS or SERIES. "))
		(setq type5 (getstring "\nEnter pipe class or series #. "))
		(setq tlabel (strcat (rtos dist 2 1) "'-" type1 " " type2 " " type3 " " type4 " " type5))
		(setq slabel (strcat "S=" (rtos slope 2 2) "%"))
		(command "layer" "s" "co" \r
			 "dim" "horiz" (list pst y1label) (list pnext y1label) (list xlabel y1label) " " "exit"
			 "text" "c" (list xlabel y2label) "0" tlabel
			 "text" "" slabel)
		(setq past panext)	
       		(setq pst pnext)
       		(setq inv1 inv2)
		(setq m1x2 m2x2) 
		(setq done (getstring "\nIs this the end of the profile? (Y or N)"))
	)
)
(defun C:PP ()
       
	(pgrid)
	)