;==============================================================================
;Terry Majewski
;Nebraska Game and Parks Commission
;2200 No. 33rd Street
;Lincoln, NE 68503
;402 464-0641
;==============================================================================
;
;Lisp Routine to allow user to "Pick object/layers to turn off"
;A subsequent "On" command turns on all layers last turned off"
;Routine provides simple and efficient "Off" and "On" commands"
;Ed. Note: You cannot use Window or Crossing to pick an object
;
(setq onck 0)
(DEFUN  C:OFF ()
(princ "\nSelect objects/layer to turn off:")
(setq p (ssget))
(setq l 0)
   (if (= onck 0)
   (setq on "")
   )
(setq n (sslength p))
(setq off "")
(setq c (getvar "clayer"))
(setq ck 0)
			(if p (progn
			(while (< l n)
			(setq va (cdr (assoc 8 (setq e (entget (ssname p l))))))
			  (if (= c
			      (cdr (assoc 8 e)))
			      (setq ck 1)
			  )
			  (setq off (strcat off va ","))
			  (setq l (1+ l))
			  )
			  ))
(setq sl (strlen off))
(setq sl (1- sl))			     
(setq off (substr off 1 sl))
(setvar "cmdecho" 0)
(COMMAND "LAYER" "OFF" OFF )
(setq onck 1)
  (if (= ck 1)
     (command "Y")
  )
(COMMAND "" ) 
(setq on (strcat on off ","))
(setvar "cmdecho" 1)
(defun C:ON ()
(setq ol (strlen on))
(setq ol (1- ol))
(setq on (substr on 1 ol))
(setvar "cmdecho" 0)
(command "layer" "on" on "")
(setvar "cmdecho" 1)
(setq onck 0)
)
)



