;locate the ridge line
(vmon)
(defun locate ()
 (setq p1 (getpoint "\nFirst point")
       p2 (getpoint p1 "\nSecond point")
       p3 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2))
 )
 )
;set the text height
(defun textht ()
(setq t1 "Text Height: <default = "
      t2 " >: " 
      t3 (getvar "textsize")
)
(terpri)
(setq ht (getreal (strcat t1 (rtos t3 2 2) t2)))
(if (= ht nil)
(setq ht t3)
)
)
;insert the letter "R"
(defun insrtr ()
(command "line" p1 p2 ""
         "circle" p3 ht
         "trim" "last" "" p3 ""
         "erase" "previous" ""
         "text" "m" p3 ht (/ (* (angle p1 p2) 180.0) pi) "R"
)
)
(defun C:RIDGE ()
 (setq ok T)
 (setvar "cmdecho" 0)
 (textht)
 (while ok
   (locate)
   (insrtr)
   (setq ans (getstring "\nDo another? <Y>"))
   (if (or (= ans "Y") (= ans ""))
       (setq ok T)
       (setq ok nil)
   )
 )
)